org.richfaces.fragment.fileUpload

## Class RichFacesFileUpload.AdvancedFileUploadInteractions

- java.lang.Object
- - org.richfaces.fragment.fileUpload.RichFacesFileUpload.AdvancedFileUploadInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesFileUpload

      public class RichFacesFileUpload.AdvancedFileUploadInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesFileUpload.AdvancedFileUploadInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openqa.selenium.WebElement` | `getAddButtonElement()`
    `org.openqa.selenium.WebElement` | `getClearAllButtonElement()`
    `org.openqa.selenium.WebElement` | `getDisabledAddButtonElement()`
    `String` | `getDoneLabel()`
    `org.openqa.selenium.WebElement` | `getFileInputElement()`
    `protected List<org.openqa.selenium.WebElement>` | `getFileInputElements()`
    `protected org.openqa.selenium.WebElement` | `getInputContainer()`
    `ListComponent<? extends FileUploadItem>` | `getItems()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `org.openqa.selenium.WebElement` | `getUploadButtonElement()`
    `boolean` | `isVisible()`
    `void` | `removeFile(ChoicePicker picker)`
    `void` | `removeFile(int index)`
    `void` | `removeFile(String match)`
    `void` | `setDoneLabel()`
    `void` | `setDoneLabel(String doneLabel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesFileUpload.AdvancedFileUploadInteractions

          public RichFacesFileUpload.AdvancedFileUploadInteractions()

  - ### Method Detail

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getAddButtonElement

          public org.openqa.selenium.WebElement getAddButtonElement()

    - #### getDisabledAddButtonElement

          public org.openqa.selenium.WebElement getDisabledAddButtonElement()

    - #### getClearAllButtonElement

          public org.openqa.selenium.WebElement getClearAllButtonElement()

    - #### getFileInputElement

          public org.openqa.selenium.WebElement getFileInputElement()

    - #### getFileInputElements

          protected List<org.openqa.selenium.WebElement> getFileInputElements()

    - #### getInputContainer

          protected org.openqa.selenium.WebElement getInputContainer()

    - #### getUploadButtonElement

          public org.openqa.selenium.WebElement getUploadButtonElement()

    - #### getDoneLabel

          public String getDoneLabel()

    - #### getItems

          public ListComponent<? extends FileUploadItem> getItems()

    - #### removeFile

          public void removeFile(int index)

    - #### removeFile

          public void removeFile(String match)

    - #### removeFile

          public void removeFile(ChoicePicker picker)

    - #### setDoneLabel

          public void setDoneLabel()

    - #### setDoneLabel

          public void setDoneLabel(String doneLabel)

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.